Bug 450164 - (ace-tao) Review Request: ace-tao - The ADAPTIVE Communication Environment (ACE) and The ACE ORB (TAO)
Review Request: ace-tao - The ADAPTIVE Communication Environment (ACE) and T...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2008-06-05 12:34 EDT by Ken Sedgwick
Modified: 2016-04-22 06:17 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 18:31:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
LICENSE-A (2.60 KB, text/plain)
2008-10-20 13:49 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Ken Sedgwick 2008-06-05 12:34:37 EDT
Spec URL: http://dist.bonsai.com/ken/ace_tao_rpm/SRC/5.6.5-5/ace-tao.spec
SRPM URL: http://dist.bonsai.com/ken/ace_tao_rpm/SRC/5.6.5-5/ace-tao-5.6.5-5.fc9.src.rpm
Description: 
The ADAPTIVE Communication Environment (ACE) is a freely available,
open-source object-oriented (OO) framework that implements many core
patterns for concurrent communication software. ACE provides a rich
set of reusable C++ wrapper facades and framework components that
perform common communication software tasks across a range of OS
platforms. The communication software tasks provided by ACE include
event demultiplexing and event handler dispatching, signal handling,
service initialization, interprocess communication, shared memory
management, message routing, dynamic (re)configuration of distributed
services, concurrent execution and synchronization.

TAO is a real-time implementation of CORBA built using the framework
components and patterns provided by ACE. TAO contains the network
interface, OS, communication protocol, and CORBA middleware components
and features. TAO is based on the standard OMG CORBA reference model,
with the enhancements designed to overcome the shortcomings of
conventional ORBs for high-performance and real-time applications.
Comment 1 Ken Sedgwick 2008-06-05 12:39:15 EDT
This is my first package; I need a sponsor.
Comment 2 Jules Colding 2008-06-05 15:50:42 EDT
Great to see this getting some traction :-) 

Did you package everything or is this merely the core ACE+TAO part?


Thanks a lot for doing this. 
Comment 3 Ken Sedgwick 2008-06-05 16:08:58 EDT
Here is the subpackage list:

ace
ace-devel
ace-flreactor
ace-flreactor-devel
ace-kokyu
ace-kokyu-devel
ace-qtreactor
ace-qtreactor-devel
ace-tao-debuginfo
ace-tkreactor
ace-tkreactor-devel
ace-xml
ace-xml-devel
ace-xtreactor
ace-xtreactor-devel
tao
tao-cosconcurrency
tao-cosevent
tao-cosnaming
tao-cosnotification
tao-costrading
tao-devel
tao-flresource
tao-flresource-devel
tao-qtresource
tao-qtresource-devel
tao-rtevent
tao-tkresource
tao-tkresource-devel
tao-xtresource
tao-xtresource-devel
Comment 4 Jules Colding 2008-06-06 09:51:03 EDT
What about tao-idl? Or is that included in "tao"??
Comment 5 Jules Colding 2008-06-06 09:52:07 EDT
(In reply to comment #4)
> What about tao-idl? Or is that included in "tao"??

Sorry, I meant "tao-devel".
Comment 6 Ken Sedgwick 2008-06-06 10:32:58 EDT
Yes, tao_idl is in the tao-devel package.
Comment 7 Jules Colding 2008-06-06 10:50:34 EDT
The IFR (and related packages) would be nice too... :-)
Comment 8 Peter Lemenkov 2008-06-07 05:38:27 EDT
BTW great work!
Comment 9 Mamoru TASAKA 2008-07-01 10:05:51 EDT
The license included in the source tarball and what is written on
http://www.cs.wustl.edu/~schmidt/ACE-copying.html seems different. Would you
verify which is the correct one? (the reason I am asking this is that IMO the
license
included in the source tarball is problematic and maybe non-free).
Comment 10 Ken Sedgwick 2008-07-01 12:16:10 EDT
This has seen some attention.  I believe that the copyright does pass muster at
this point; here is email I've received regarding this issue:

----------------------------------------------------------------
On Tue, 2007-12-18 at 07:55 -0800, Ken Sedgwick wrote:
> > Jules Colding wrote:
>> > > Hi Ken,
>> > > 
>> > > Did you ever progress with the plan to get your RPMs into Fedora?
> > 
> > Keep encountering license issues.  Recently Tom Callaway (from the
> > Fedora Team) was looking into this again ... no success yet.

OK, guys, all the legal barriers are cleared away. The latest version of
the DOC license (what ACE+TAO uses) is Free and GPL Compatible now.

Ken, you can go ahead and start the process here:
http://fedoraproject.org/wiki/PackageMaintainers/Join

If you have any questions along the way, feel free to contact me.

~spot
----------------------------------------------------------------

I've looked at the URL you posted and compared it to the COPYING file
which we ship in the RPM and they appear the same to me, modulo HTML
vs text presentation.

Ken

Comment 11 Mamoru TASAKA 2008-07-01 12:29:23 EDT
Actually not the same:

   The [12]ACE, [13]TAO, [14]CIAO, and [15]CoSMIC web sites are
   maintained by the [16]DOC Group at the [17]Institute for Software
   Integrated Systems (ISIS) and the [18]Center for Distributed Object
   Computing of Washington University, St. Louis for the development of
   open-source software as part of the open-source software community. 
==================================================================================
   By
   submitting comments, suggestions, code, code snippets, techniques
   (including that of usage) and algorithms (collectively
   ``Submissions''), submitters acknowledge that they have the right to
   do so, that any such Submissions are given freely and unreservedly,
   and that they waive any claims to copyright or ownership. In addition,
   submitters acknowledge that any such Submission might become part of
   the copyright maintained on the overall body of code that comprises
   the DOC software. By making a Submission, submitter agree to these
   terms. Moreover, submitters acknowledge that the incorporation or
   modification of such Submissions is entirely at the discretion of the
   moderators of the open-source DOC software projects or their
   designees.
================================================================================
   Submissions are provided by the submitter ``as is'' with no warranties
   whatsoever, including any warranty of merchantability, noninfringement
   of third party intellectual property, or fitness for any particular

The parts bound with ======= are in the license in the tarball, which IMO
is problematic. 
Comment 12 Ken Sedgwick 2008-07-01 12:51:48 EDT
Thanks for catching that!

I'll pursue this and find the answer ...

Ken
Comment 13 Ken Sedgwick 2008-07-05 17:45:58 EDT
I believe the issue has been resolved upstream by the ACE+TAO maintainers.

There is a new version scheduled to be released in the next couple weeks.

My current plan is to update this review with the new version.
Comment 14 Johnny Willemsen 2008-09-01 10:00:48 EDT
Issue has been resolved upstream, will be part of the upcoming x.6.6 release of ACE/TAO/CIAO
Comment 15 Tom "spot" Callaway 2008-09-02 10:12:25 EDT
(In reply to comment #14)
> Issue has been resolved upstream, will be part of the upcoming x.6.6 release of
> ACE/TAO/CIAO

Thanks!
Comment 16 Johnny Willemsen 2008-09-14 14:23:52 EDT
x.6.6 release is scheduled now for tomorrow (2008-09-15)
Comment 17 Mamoru TASAKA 2008-10-18 12:36:02 EDT
Would someone update the status of this bug?
Comment 18 Ken Sedgwick 2008-10-18 16:52:34 EDT
Here is the new version:

Spec URL: http://dist.bonsai.com/ken/ace_tao_rpm/SRC/5.6.6-1/ace-tao.spec
SRPM URL: http://dist.bonsai.com/ken/ace_tao_rpm/SRC/5.6.6-1/ace-tao-5.6.6-1.fc9.src.rpm
Description: 
The ADAPTIVE Communication Environment (ACE) is a freely available,
open-source object-oriented (OO) framework that implements many core
patterns for concurrent communication software. ACE provides a rich
set of reusable C++ wrapper facades and framework components that
perform common communication software tasks across a range of OS
platforms. The communication software tasks provided by ACE include
event demultiplexing and event handler dispatching, signal handling,
service initialization, interprocess communication, shared memory
management, message routing, dynamic (re)configuration of distributed
services, concurrent execution and synchronization.

TAO is a real-time implementation of CORBA built using the framework
components and patterns provided by ACE. TAO contains the network
interface, OS, communication protocol, and CORBA middleware components
and features. TAO is based on the standard OMG CORBA reference model,
with the enhancements designed to overcome the shortcomings of
conventional ORBs for high-performance and real-time applications.
Comment 19 Mamoru TASAKA 2008-10-20 13:49:06 EDT
Created attachment 320897 [details]
LICENSE-A

- *.c/*.hpp/*.h files
-- Excluding files matching $ find . -path '*/tests/*'
   Total 8409 files

Overall		DOC

ASNMP/asnmp/address.cpp				MIT
TAO/CIAO/tools/IDL3_to_IDL2/be_extern.h		LICENSE-A
TAO/TAO_IDL/be_include/be_extern.h		(LICENSE-A)
TAO/TAO_IDL/contrib/mcpp/directive.cpp		MIT
TAO/TAO_IDL/driver/drv_args.cpp			(LICENSE-A)
TAO/TAO_IDL/fe/y.tab.h				GPLv2+ (Bison output)
TAO/orbsvcs/orbsvcs/AV/RTCP.cpp			BSD with advertising
ace/Svc_Conf_y.cpp				GPLv2+ (Bison output)
apps/gperf/src/Gen_Perf.h			GPLv2+
contrib/minizip/zip.h				zlib
contrib/utility/Example/ExH/BadCast/bad_cast.cpp	zlib

Note:
In this table not all files are listed which have licenses
other than DOC license.

The files listed in the left column are the examples of
files having the licenses listed on the right column. There may
be some other files "near" the files listed on the left which
have the same licenses.

=============================================================
=============================================================

@ spot:
Would you review the license attached? I am especially concerned
about the part "You may copy and extend functionality 
(but may not remove functionality)".

By the way for now I only checked files named "*.{h,cpp,hpp}"
with excluding files under */tests/ directories, however
there are already more than 8000 files.
Actually there are more than 50000 files in this tarball.
Do we have to check all of these files?

@ Ken:
This package contains some codes which are licensed under GPLv2+
and some codes under "BSD with advertising".
Would you verify if these codes are seperated (i.e. not linked
or included) altogether? Otherwise these licenses are in
conflict, which renders this package to be non-approvable.
Comment 20 Tom "spot" Callaway 2008-10-20 13:58:22 EDT
LICENSE-A (aka Sun Interface Definition Language CFE License) is definitely non-free. Ken, sorry for not catching this the first time, hopefully upstream will be able to get those files relicensed (or replace them).
Comment 21 Ken Sedgwick 2008-10-26 20:58:10 EDT
The following are not packaged:
----------------------------------------------------------------

* ASNMP/asnmp/address.cpp    MIT
* TAO/CIAO/tools/IDL3_to_IDL2/be_extern.h  LICENSE-A
* TAO/TAO_IDL/contrib/mcpp/directive.cpp  MIT
* contrib/minizip/zip.h    zlib
* contrib/utility/Example/ExH/BadCast/bad_cast.cpp zlib

The following are packaged:
----------------------------------------------------------------

* TAO/TAO_IDL/be_include/be_extern.h  (LICENSE-A)

> Included in the debuginfo package.
>
> Code which includes this is packaged in tao-devel.

* TAO/TAO_IDL/driver/drv_args.cpp   (LICENSE-A)

> Linked into tao_idl.

* TAO/TAO_IDL/fe/y.tab.h    GPLv2+ (Bison output)

> Linked into libTAO_IDL_FE.so.
>
> Code which includes this is packaged in tao-devel.
>
> But this is Bison output and contains the following:
>
> /* As a special exception, when this file is copied by Bison into a
>    Bison output file, you may use that output file without restriction.
>    This special exception was added by the Free Software Foundation
>    in version 1.24 of Bison.  */

* TAO/orbsvcs/orbsvcs/AV/RTCP.cpp   BSD with advertising

> Ships in tao package in libTAO_AV.so

* ace/Svc_Conf_y.cpp    GPLv2+ (Bison output)

> Ships in ace package in libACE.so
>
> Contains the following:
>
> /* As a special exception, you may create a larger work that contains
>    part or all of the Bison parser skeleton and distribute that work
>    under terms of your choice, so long as that work isn't itself a
>    parser generator using the skeleton or a modified version thereof
>    as a parser skeleton.  Alternatively, if you modify or redistribute
>    the parser skeleton itself, you may (at your option) remove this
>    special exception, which will cause the skeleton and the resulting
>    Bison output files to be licensed under the GNU General Public
>    License without this special exception.

* apps/gperf/src/Gen_Perf.h   GPLv2+

> Ships in ace-devel.
> 
> Linked into /usr/bin/ace_gperf.

I'm a little unclear on the next steps, please advise.

Ken
Comment 22 Tom "spot" Callaway 2008-10-26 23:18:44 EDT
(In reply to comment #21)
> The following are not packaged:
> ----------------------------------------------------------------
> 
> * ASNMP/asnmp/address.cpp    MIT
> * TAO/CIAO/tools/IDL3_to_IDL2/be_extern.h  LICENSE-A
> * TAO/TAO_IDL/contrib/mcpp/directive.cpp  MIT
> * contrib/minizip/zip.h    zlib
> * contrib/utility/Example/ExH/BadCast/bad_cast.cpp zlib

They may not be packaged, but they are used. I'm not at all concerned about the MIT or zlib items (or the Bison output files), those licenses are pretty much universally compatible. Its the LICENSE-A items that need to be removed or replaced upstream, because that license is non-free, and almost certainly incompatible with the DOC license.

 * TAO/orbsvcs/orbsvcs/AV/RTCP.cpp   BSD with advertising

This one might be a problem if it linked into GPL items, but I don't think it is an issue here (although apps/gperf/src/Gen_Perf.h being GPLv2+ might complicate things). I would try to get the copyright holder to simply drop the advertising clause on that code.

The next steps will be to address the issue with upstream, all of the code under LICENSE-A (aka Sun Interface Definition Language CFE License) needs to either be removed or replaced in the source tree (whether or not it ends up in a package is immaterial). 99% Free code + 1% Non-Free code = 100% Non-Free binaries.
Comment 23 Kevin Kofler 2008-11-26 11:15:49 EST
Hmmm, Debian's copyright file:
http://packages.debian.org/changelogs/pool/main/a/ace/ace_5.6.3-5/libace-5.6.3.copyright
lists more stuff under non-Free Sun licenses. :-( I don't know how this passed debian-legal, as those licenses are clearly non-Free and blatantly spelled out in the copyright file. :-/

As you can see in the Debian copyright file, some of the core IIOP files carry this notice:
> You may copy, modify, distribute, or sublicense the LICENSED PRODUCT
> without charge as part of a product or software program developed by
> you, so long as you preserve the functionality of interoperating with
> the Object Management Group's "Internet Inter-ORB Protocol" version
> one.  However, any uses other than the foregoing uses shall require
> the express written consent of Sun Microsystems, Inc.
which is clearly non-Free (because it bans using the software to implement a different protocol).
Comment 24 Jonathan Wakely 2008-12-25 09:39:06 EST
Isn't there also a naming conflict with https://admin.fedoraproject.org/pkgdb/packages/name/ace ?
Comment 25 Mamoru TASAKA 2008-12-25 10:17:16 EST
ace maintainer seems happy with renaming ace:
https://www.redhat.com/archives/fedora-devel-list/2008-December/msg00039.html

By the way the current blocker for this review request is about
licensing.
Comment 26 Nicolas Chauvet (kwizart) 2009-04-14 12:25:37 EDT
What is the status of this package ?
And why the currently in Fedora ace package wasn't renamed?
Comment 27 Tom "spot" Callaway 2009-04-14 12:27:46 EDT
I'm pretty sure this is still blocking on upstream licensing issues.
Comment 28 Hal Finkel 2009-05-29 20:58:38 EDT
It seems that the licensing issues apply only to the TAO packages. Could progress be made on ACE itself while we wait on the TAO licensing fixes?
Comment 29 Mamoru TASAKA 2009-05-29 21:14:52 EDT
Well, I am not sure which part is ACE or TAO and I have almost
forgotton which files need license fixing.
However based from my comment 19, it seems that "ACE part" is
legally free.

So if you can remove TAO related part (from the source tarball itself)
completely and package it into rpm style, I can recheck it
if it can be allowed on Fedora.
Comment 30 Hal Finkel 2009-05-29 23:14:11 EDT
Looking at the Debian copyright file, there seem to be only three files in ACE proper which could be problematic.

ACE_wrappers/ace/OS_NS_wchar.cpp - This has a 4-clause BSD license with copyright belonging to the The Regents of the University of California. The advertising clause, however, may have been "deleted", and, if so, this file should be updated (ftp://ftp.cs.berkeley.edu/pub/4bsd/README.Impt.License.Change).

ACE_wrappers/ace/Get_Opt.cpp - This has a 4-clause BSD license with copyrights belonging to he Regents of the University of California and to The NetBSD Foundation, Inc. The NetBSD license, may have been changed to the 2-clause version, and, if so, this file should be updated (http://www.netbsd.org/about/redistribution.html#why2clause).

ACE_wrappers/ace/UTF*_Encoding_Converter.* - These have a license from Unicode, Inc. which, in part, reads, "Unicode, Inc. hereby grants the right to freely use the information supplied in this file in the creation of products supporting the Unicode Standard, and to make copies of this file in any form
for internal or external distribution as long as this notice remains attached." This restriction on use may render the files non-free. Fortunately, replacing them should not be difficult.

The TAO components can be removed. In fact, source packages of only ACE (no TAO, etc.) are released as part of the normal upstream release cycle (see: http://download.dre.vanderbilt.edu/).
Comment 31 Johnny Willemsen 2009-05-31 02:12:55 EDT
if you have a unified diff for the mentioned files to update, I can commit that to the ACE repository. We are working towards ACE 5.7 which should be released in June
Comment 32 Jason Tibbitts 2009-07-10 17:59:52 EDT
It's July now; has there been any progress?
Comment 33 Ken Sedgwick 2009-07-10 18:14:17 EDT
I'm afraid I'm a little burned out ...

I've been through this three times in as many years; each time the license turns out to be a blocker.  I'm worried that if I invest a bunch more time it will prove to be a blocker again.

More importantly, getting ACE into Fedora without TAO actually makes life *harder* for my clients.  They use *both* ACE and TAO and need a solution for both.  Getting ACE into Fedora makes it much harder to generate the TAO packages externally since the same build creates both.

I think I'd rather just distribute the ACE and TAO packages the way I already do.  If someone else wants to try and get a subset into the Fedora repo I'd be happy to help in a lightweight manner.

I'm guessing my effort would be better spent with a repository that would accept the TAO licenses as well; maybe Livna?  This seems like a much better use of my effort ...

Apologies for not expressing this sooner ...

Ken
Comment 34 Jason Tibbitts 2009-07-10 18:31:24 EDT
Well, the license isn't going to become any more free unless upstream does the work to replace or relicense the code.  That's just the way it is.

If you think your effort is better spent getting this package into a repository that accepts non-free code, you are more than welcome to do so.  I'll go ahead and close these tickets out for you.  Do note, however, that Livna has essentially been replaced by RPMFusion (rpmfusion.org).  Its review and package maintenance procedures are mostly the same as Fedora's, as far as I know.
Comment 35 Tom "spot" Callaway 2009-07-10 18:37:59 EDT
Ken, for what it is worth, the only two licensing issues that I think remain are:

ACE_wrappers/ace/UTF*_Encoding_Converter.* - These have a license from Unicode,
Inc. which, in part, reads, "Unicode, Inc. hereby grants the right to freely
use the information supplied in this file in the creation of products
supporting the Unicode Standard, and to make copies of this file in any form
for internal or external distribution as long as this notice remains attached."

The concern here is in the comments:

// It is not the actual code provided by Unicode, Inc. but is an
// ACE-ified and only slightly modified version.

An argument could be made that no permission to modify was given by Unicode Inc in their license terms, but I'm inclined to think that a grant of:

" the right to freely use the information supplied in this file in the creation of products supporting the Unicode Standard" is a wordy way of granting permission to modify. I'll run it past Red Hat Legal to see if they agree or not.

and

The files under the Sun Interface Definition Language CFE License:
TAO/CIAO/tools/IDL3_to_IDL2/be_extern.h  
TAO/TAO_IDL/be_include/be_extern.h
TAO/TAO_IDL/driver/drv_args.cpp

This is the real blocker. I've had some recent success getting Sun to relicense some stuff, I'll send another reminder to my contacts there.

Don't give up hope!
Comment 36 Kevin Kofler 2009-07-10 19:31:42 EDT
What about the IIOP license (comment #23)?
Comment 37 Tom "spot" Callaway 2009-07-10 22:50:59 EDT
(In reply to comment #36)
> What about the IIOP license (comment #23)?  

Ehh, that one is non-free too. :(

Turns out Red Hat Legal thinks the Unicode license is also non-free. So, three license problems.
Comment 38 Bobby Powers 2009-07-13 16:20:01 EDT
(In reply to comment #37)
> (In reply to comment #36)
> > What about the IIOP license (comment #23)?  
> 
> Ehh, that one is non-free too. :(
> 
> Turns out Red Hat Legal thinks the Unicode license is also non-free. So, three
> license problems.  

Is there anything I could do to help?  I just recently started a project using ACE, and it would be very nice to have it in the main Fedora repositories.  I don't have many contacts, but I can develop.  How big of a deal would it be to replace or modify the non-Sun (hoping they will re-license those) files in question?
Comment 39 Tom "spot" Callaway 2009-09-09 17:14:14 EDT
So, I'm still working on trying to get this resolved. Turns out that Sun doesn't own the copyright on the IDL CFE code, that is owned by Progress Software. I've opened a dialog with Progress about the possibility of relicensing the IDL CFE bits that are being used in the TAO code.
Comment 40 Johnny Willemsen 2009-09-10 03:25:47 EDT
I contacted some IONA/Progress people this morning and added Tom on the cc, maybe that speeds up things.
Comment 41 Chen Lei 2010-02-17 03:11:23 EST
(In reply to comment #33)
> I'm afraid I'm a little burned out ...
> I've been through this three times in as many years; each time the license
> turns out to be a blocker.  I'm worried that if I invest a bunch more time it
> will prove to be a blocker again.
> More importantly, getting ACE into Fedora without TAO actually makes life
> *harder* for my clients.  They use *both* ACE and TAO and need a solution for
> both.  Getting ACE into Fedora makes it much harder to generate the TAO
> packages externally since the same build creates both.
> I think I'd rather just distribute the ACE and TAO packages the way I already
> do.  If someone else wants to try and get a subset into the Fedora repo I'd be
> happy to help in a lightweight manner.
> I'm guessing my effort would be better spent with a repository that would
> accept the TAO licenses as well; maybe Livna?  This seems like a much better
> use of my effort ...
> Apologies for not expressing this sooner ...
> Ken    

Push ace-tao to rpmfusion which provides software that the Fedora Project or Red Hat doesn't want to ship?

See http://rpmfusion.org/FoundingPrinciples
Comment 42 Chen Lei 2010-02-19 05:06:53 EST
I think ace, tao, ciao should package separately and be pushed into rpmfusion-nonfree temporarily before they remove nonfree files. MPC can be pushed to the main fedora repo. 

The ace-tao is actually bundling of multiple projects.
It combines four seperate projects:

1. MPC
https://svn.dre.vanderbilt.edu/viewvc/MPC/

2.ACE
https://svn.dre.vanderbilt.edu/viewvc/Middleware/tags/ACE%2BTAO%2BCIAO-5_7_6/ACE/
https://svn.dre.vanderbilt.edu/viewvc/Middleware/trunk/ACE/

3.TAO
https://svn.dre.vanderbilt.edu/viewvc/Middleware/tags/ACE%2BTAO%2BCIAO-5_7_6/TAO/
https://svn.dre.vanderbilt.edu/viewvc/Middleware/trunk/TAO/

4.CIAO
https://svn.dre.vanderbilt.edu/viewvc/Middleware/tags/ACE%2BTAO%2BCIAO-5_7_6/CIAO/
https://svn.dre.
vanderbilt.edu/viewvc/Middleware/trunk/CIAO/

MPC and ace also have a naming conflict with exist package in fedora.
Comment 43 Johnny Willemsen 2010-05-07 05:41:16 EDT
Recently I had contact with Progress/IONA for something else, but I raised the IDL CFE license issue again. The problem is that it is not easy for Progress to sort out the details, the people involved in the past have left the company and they don't have resources to sort this out at this moment.

Would it be an option to first just get MPC and ACE included?
Comment 44 Chen Lei 2010-05-07 23:37:56 EDT
(In reply to comment #43)
> Recently I had contact with Progress/IONA for something else, but I raised the
> IDL CFE license issue again. The problem is that it is not easy for Progress to
> sort out the details, the people involved in the past have left the company and
> they don't have resources to sort this out at this moment.
> 
> Would it be an option to first just get MPC and ACE included?    

It'll be great to first get MPC and ACE included in fedora and TAO included in rpmfusion-nonfree for a workaround, though spot thought some codes in ACE wrapper are probably nonfree.

Could you help to contant Ken Sedgwick to reopen this review request and  tell upstream to release seperate source tarballs for MPC, ACE, TAO and CIAO?

Note You need to log in before you can comment on or make changes to this bug.